#ifndef CHECKCOMBOBOXWIDGETFACTORY_H
#define CHECKCOMBOBOXWIDGETFACTORY_H

#include "IxWidgetFactory.h"

class CheckComboBoxWidget;

class CheckComboBoxWidgetFactory : public IxWidgetFactory
{
public:
    CheckComboBoxWidgetFactory();

public:
    virtual void create(qx::IxDataMember *dataMember, QWidget *parent);

    virtual QString type() const;

    virtual QWidget *getWidget() const;

    virtual IxWidget *getIxWidget() const;

private:
    CheckComboBoxWidget *widget;
};

#endif // CHECKCOMBOBOXWIDGETFACTORY_H
